Player Region Index
Get a player's per-map rating ("Region Index") for a season. Each key of regionData is the map UUID (the uuid field on valorant-api.com, not the map path) and only maps the player has played in the season are included.
matchHistory is sorted from newest to oldest, the rating of the map after the newest match equals values.regionIndex. bestMatch is the entry of matchHistory with the highest tempValueF, and topAgents lists the agents played on the map.
Headers
X-Riot-ClientPlatform string required {client platform}— Base64-encoded client platform JSON X-Riot-ClientVersion string required {client version}— The current Valorant client version X-Riot-Entitlements-JWT string required {entitlement token}— From the Entitlements Token or Entitlement endpoint Authorization string required Bearer {auth token}— From the Entitlements Token endpoint or Riot auth URL parameters
shard enum required na, pbe, eu, ap or kr: depends on where the account was created.
napbeeuapkrHow to get it
The shard is dependent on where the Riot account was created.
There are 5 shards:
| Shard | Region(s) |
|---|---|
na | latam, br, na |
pbe | na |
eu | eu |
ap | ap |
kr | kr |
The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net
The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth
puuid string · uuid required Query parameters
seasonID string · uuid required The season (act) to get the map ratings for
Other variables
client platform Base64-encoded client platform JSON. Details
A string representing the platform of the client. Base-64 encoded JSON with the following fields:
{
"platformType": "PC",
"platformOS": "Windows",
"platformOSVersion": "10.0.26200.1.256.64bit",
"platformChipset": "Unknown"
} ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ==
is a value that works.
client version The current Valorant client version. Details
The version of the Valorant client. This can be obtained in a number of ways:
- Parsing the ShooterGame log at
%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log - Using the Sessions endpoint
- Using the third-party RadiantConnect version endpoint (
data.riot_client_version) - Using the third-party Versions endpoint
entitlement token From the Entitlements Token or Entitlement endpoint. Details
auth token From the Entitlements Token endpoint or Riot auth. Details
Response
subject string · uuid Player UUID
platformGroup string Platform group, `pc` on PC
seasonId string · uuid Season ID
regionData record<string, object> Show nested attributes Hide nested attributes 7
regionId string Map ID
values object Show nested attributes Hide nested attributes 7
winRate number Weighted win rate from 0 to 1
attackWinRate number Weighted attack round win rate from 0 to 1
defenseWinRate number Weighted defense round win rate from 0 to 1
tempValueF number Weighted performance score
regionIndex number The map rating, observed values range from 0 to 500
totalGames number computedFromValidSeasons boolean deltaValues object Change of the values, observed to be all zeros
Show nested attributes Hide nested attributes 7
winRate number Weighted win rate from 0 to 1
attackWinRate number Weighted attack round win rate from 0 to 1
defenseWinRate number Weighted defense round win rate from 0 to 1
tempValueF number Weighted performance score
regionIndex number The map rating, observed values range from 0 to 500
totalGames number computedFromValidSeasons boolean bestMatch object Show nested attributes Hide nested attributes 8
matchId string · uuid Match ID
agentId string · uuid Character ID
actIndexBefore number The map rating before the match, 0 for the first match of the act
actIndexAfter number The map rating after the match
tempValueF number Performance score of the match
attackWinRate number Share of attack rounds won in the match from 0 to 1
defenseWinRate number Share of defense rounds won in the match from 0 to 1
outcome enum "Win""Lose""Draw" matchHistory array[object] Show nested attributes Hide nested attributes 8
matchId string · uuid Match ID
agentId string · uuid Character ID
actIndexBefore number The map rating before the match, 0 for the first match of the act
actIndexAfter number The map rating after the match
tempValueF number Performance score of the match
attackWinRate number Share of attack rounds won in the match from 0 to 1
defenseWinRate number Share of defense rounds won in the match from 0 to 1
outcome enum "Win""Lose""Draw" topAgents array[object] Show nested attributes Hide nested attributes 1
agentId string · uuid Character ID
version number